Skip to content

VA History

| View as Markdown

This API will list all transactions against virtual account based on search criteria. We must pass merchant id, page numbers to retrieve, limit: no of records to retrieve, transaction id, virtual account no or UID in request, in response you get the details like date time, amount, payment mode, status and customer details based on transaction id.

https://kraken.airpay.co.in/airpay/va/api/
ParameterType ValueDescriptionValue Like
Content-Type requiredStringapplication/x-www-form-urlencoded
ParameterType ValueDescriptionValue Like
action requiredStringAction to perform - historyhistory
private_key requiredAlphanumeric
(10-200)
Private Key
hash(‘sha256’, @secretkey:username
:password)
merchant_id requiredNumericMerchant Id1
page requiredNumericPage number to retrieve the history1
limit requiredNumericNo of records to retrieve from teh history10
transaction_id requiredNumericTransaction ID
virtual_account_number requiredNumericVirtual account number or UID Unique user identifier from the merchant is required2293640000000010242
UID requiredNumericVirtual account number or UID Unique user identifier from the merchant is required
checksum requiredAlphanumericHash generated by : sha1(virtual_account_number.transaction_id.page.limit.UID.action.merchant_id.private_key)b14bf8fc556f42cf83f9233b7caec1f14bd21795
ParameterType ValueDescriptionValue Like
STATUS requiredNumberStatus Code
Success - 200 Transaction is success
Transaction in Process - 211 Transaction in processing
Failed - 400 Transaction in failed
Dropped - 401 The transaction will not register properly
Cancel - 402 payment that has not yet been processed
Incomplete - 403 Not recieved any call back from bank
Bounced - 405 The transaction has bounced
No Records - 503 There is no records found
No records to display - 167 There is no records found
200,400
MESSAGE requiredStringStatus Message
Success - 200 Transaction is success
Transaction in Process - 211 Transaction in processing
Failed - 400 Transaction in failed
Dropped - 401 The transaction will not register properly
Cancel - 402 payment that has not yet been processed
Incomplete - 403 Not recieved any call back from bank
Bounced - 405 The transaction has bounced
No Records - 503 There is no records found
No records to display - 167 There is no records found
success,Failed
records requiredJsonData records, which contains
transaction_id - Transaction id
profile_id - Merchant ID
transaction_date_time - Transaction date and time
virtual_account - Virtual account number
amount - Amount
payment_mode - Payment mode
status - Status
customer_name - Customer name
customer_email - Customer email
customer_mobile - Customer mobile
curl --location --request POST 'https://kraken.airpay.co.in/airpay/va/api/' \
--form 'action=history' \
--form 'private_key=71a4efaf21c79864ec154babfc494f45fd1f65a570805084965d5b29486f1dfe' \
--form 'merchant_id=1' \
--form 'page=1' \
--form 'limit=10' \
--form 'virtual_account_number=2293640000000010242' \
--form 'checksum=b14bf8fc556f42cf83f9233b7caec1f14bd21795'
HTTP/1.1 200 OK
{
"STATUS": "200",
"MESSAGE": "Success",
"RECORDS": [{
"TRANSACTION_ID": "123456",
"PROFILE_ID": "1",
"TRANSACTION_DATE_TIME": "1610524558",
"VIRTUAL_ACCOUNT": "6546797546469",
"AMOUNT": "1.00",
"PAYMENT_MODE": "va",
"STATUS": "SUCCESS",
"CUSTOMER_NAME": "Prathamesh",
"CUSTOMER_EMAI": "consultant.prathamesh@airpay.co.in",
"CUSTOMER_MOBILE": "7208246368
}]
}
{
"STATUS": "400",
"MESSAGE": "Failed"
}